## quickroute-gps 2.4

=== Makefile ===

.PHONY: clean all all_debug

all:
#	mdtool build -c:Release --buildfile: QuickRoute.sln
	xvfb-run xbuild /p:Configuration=Release QuickRoute.sln

all_debug:
#	mdtool build -c:Debug --buildfile: QuickRoute.sln
	xvfb-run xbuild /p:Configuration=Debug QuickRoute.sln

clean:
#	mdtool build -t:Clean
	xbuild /t:Clean /p:Configuration=Debug QuickRoute.sln
	xbuild /t:Clean /p:Configuration=Release QuickRoute.sln
	rm -rf QuickRoute.UI/bin
	rm -rf QuickRoute.UI/obj

#  dh_auto_install
#    make -j1 install DESTDIR=/home/tade/dev/clean/2.7/1/debian/quickroute-gps

install:
	@echo "install being called"
	@echo $:
	@echo $@
	mkdir --parents ${DESTDIR}/usr/bin ${DESTDIR}/usr/lib/quickroute-gps
	cp scripts/quickroute-gps ${DESTDIR}/usr/bin
	cp QuickRoute.UI/bin/Release/QuickRoute.exe ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/QuickRoute.exe.config ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/ExifLibrary.dll ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/ICSharpCode.SharpZipLib.dll ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/PowerCollections.dll ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/QuickRoute.BusinessEntities.dll ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/QuickRoute.Common.dll ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/QuickRoute.Controls.dll ${DESTDIR}/usr/lib/quickroute-gps
	#cp QuickRoute.UI/bin/Release/QuickRoute.GPSDeviceReaders.GarminUSBReader.dll ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/QuickRoute.GPSDeviceReaders.GlobalSatGH615MReader.dll ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/QuickRoute.GPSDeviceReaders.JJConnectRegistratorSEReader.dll ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/QuickRoute.GPSDeviceReaders.SerialPortDeviceReader.dll ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/QuickRoute.Publishers.DOMAPublisher.dll ${DESTDIR}/usr/lib/quickroute-gps
	cp QuickRoute.UI/bin/Release/QuickRoute.Resources.dll ${DESTDIR}/usr/lib/quickroute-gps
	mkdir --parents ${DESTDIR}/usr/share/doc/quickroute-gps
	cp debian/copyright ${DESTDIR}/usr/share/doc/quickroute-gps
	mkdir --parents ${DESTDIR}/usr/share/pixmaps
	cp Graphics/QuickRoute_32x32.xpm ${DESTDIR}/usr/share/pixmaps
	ln -s -r ${DESTDIR}/usr/share/pixmaps/QuickRoute_32x32.xpm ${DESTDIR}/usr/share/pixmaps/quickroute-gps.xpm
	mkdir --parents ${DESTDIR}/usr/share/applications
	cp debian/quickroute-gps.desktop ${DESTDIR}/usr/share/applications

=== debian/changelog ===
quickroute-gps (2.4-15) unstable; urgency=medium

  * Team upload.

  [ RALOVICH, Kristof ]
  * debian: update to Standards-Version: 3.9.8

 -- RALOVICH, Kristof <ralovich@in.tum.de>  Sun, 18 Jun 2017 14:17:27 +0200

quickroute-gps (2.4-14) unstable; urgency=low

  * Team upload.

  [ RALOVICH, Kristof ]
  * debian: update dependencies
    Closes: #839512

 -- RALOVICH, Kristof <ralovich@in.tum.de>  Thu, 06 Oct 2016 19:34:52 +0200

quickroute-gps (2.4-13) unstable; urgency=low

  * Team upload.

  [ RALOVICH, Kristóf ]
  * Previous package version 2.4-12 already switched to mono-mcs.
    Closes: #814642

 -- RALOVICH, Kristóf <ralovich@in.tum.de>  Tue, 8 Mar 2016 19:22:14 +0100

quickroute-gps (2.4-12) unstable; urgency=low

  * Team upload.

  [ RALOVICH, Kristóf ]
  * switch to require mono-mcs

 -- RALOVICH, Kristóf <ralovich@in.tum.de>  Sat, 13 Feb 2016 10:29:10 +0100

quickroute-gps (2.4-11) unstable; urgency=low

  * Team upload.

  [ RALOVICH, Kristóf ]
  * Require debhelper >= 9.
  * Address misc lintian issues.

 -- RALOVICH, Kristóf <ralovich@in.tum.de>  Wed, 25 Nov 2015 21:15:30 +0100

quickroute-gps (2.4-10) unstable; urgency=low

  * Team upload.

  [ RALOVICH, Kristóf ]
  * Tune debian/rules clean to only require build deps within chroot.

 -- RALOVICH, Kristóf <ralovich@in.tum.de>  Sat, 21 Nov 2015 10:21:28 +0100

quickroute-gps (2.4-9) unstable; urgency=low

  * Team upload.

  [ RALOVICH, Kristóf ]
  * Replace binary ExifWorks with parts of ExifLibrary.
  * Replace binary Ionic.Zip with parts of SharpZipLib.
  * Replace binary Powercollections with used sources.

 -- RALOVICH, Kristóf <ralovich@in.tum.de>  Sat, 14 Nov 2015 21:18:01 +0100

quickroute-gps (2.4-8) UNRELEASED; urgency=low

  [ RALOVICH, Kristóf ]
  * Saving EXIF info works for jpg. This allows the exported images
    to show up in the overview map of DOMA.

 -- RALOVICH, Kristóf <ralovich@in.tum.de>  Tue, 26 Aug 2014 00:17:35 +0200

quickroute-gps (2.4-7) UNRELEASED; urgency=low

  [ RALOVICH, Kristóf ]
  * allow opening a route and map in Google Earth
  * previous releases did happen
  * rewrite version numbers in changelog
  * fix lintian warning
  * version 2.4-7
  * scripts: get version info from AssemblyInfo.cs

 -- RALOVICH, Kristof <ralovich@in.tum.de>  Tue, 07 Jan 2014 12:04:47 +0100

quickroute-gps (2.4-6) UNRELEASED; urgency=low

  [ RALOVICH, Kristóf ]
  * debian/changelog: update for new version
  * docs: add to known crashes
  * QuickRoute.Common/LogUtil: add a callback for mono problems
  * QuickRoute.BusinessEntities/Map: bugfix: allow deserserialization of .qrt
  * bugfix: allow exporting/importing .jpeg encoded routes (cherry picked from
    commit 3f742dd3db39c09f8258ff99f1022dd3fe240639)
  * docs: bring it up to date from mono2
  * docs: more versioning info

 -- RALOVICH, Kristóf <ralovich@in.tum.de>  Wed, 10 Jul 2013 21:42:01 +0200

quickroute-gps (2.4-5) UNRELEASED; urgency=low

  [ RALOVICH, Kristóf ]
  * debian: install desktop entry too
  * QuickRoute.UI/Properties/AssemblyInfo.cs: set AssemblyInformationalVersion too
  * new version

 -- RALOVICH, Kristóf <ralovich@in.tum.de>  Tue, 09 Jul 2013 23:17:34 +0200

quickroute-gps (2.4-4) UNRELEASED; urgency=low

  [ RALOVICH, Kristóf ]
  * deb: packaging howto
  * update file list
  * bump linux version
  * enable logging
  * use logging
  * use log4net to warn about unimplemented methods
  * deb: lower build time dependencies
  * cleanup
  * list a known bug
  * add comment
  * QuickRoute.UI/Main: remove indirection
  * docs: notes on packaging
  * QuickRoute.UI/Forms/CreateNewForm: remove duplicate traversal of available importers
  * QuickRoute.Common/LogUtil: add LogTrace()
  * QuickRoute.BusinessEntities/Importers/FIT/FITImporter: store FIT timestamp
  * disable debug out
  * QuickRoute.BusinessEntities/Importers/Garmin/ANTAgent/AntpmImporter: many changes
  * FITImporter: calculate more timestamps, read waypoints
  * AntpmImporter: improve sorting and display of available FIT files during import
  * docs: add a list of know bugs
  * add correct coding
  * debian: write a copyright file
  * ignore misc MonoDevelop files
  * debian: add a menu entry with icon
  * QuickRoute.UI/app.config: indent xml, no functional changes
  * debian: more work on menu entry

 -- RALOVICH, Kristóf <ralovich@in.tum.de>  Tue, 09 Jul 2013 22:07:51 +0200

quickroute-gps (2.4-3) UNRELEASED; urgency=low

  [ RALOVICH, Kristóf ]
  * silence a build warning
  * initial ANT+minus importer
  * silence run-time message
  * list .FIT files downloaded by ANT+minus

 -- RALOVICH, Kristóf <ralovich@in.tum.de>  Mon, 25 Mar 2013 18:30:00 +0100

quickroute-gps (2.4-2) UNRELEASED; urgency=low

  * proper dependencies

 -- Kristóf Ralovich <ralovich@in.tum.de>  Tue, 25 Mar 2013 22:35:25 +0100

quickroute-gps (2.4-1) UNRELEASED; urgency=low

  * trying xbuild as mdtool failed...

 -- Kristóf Ralovich <ralovich@in.tum.de>  Tue, 19 Mar 2013 22:35:25 +0100

quickroute-gps (2.4-0) UNRELEASED; urgency=low

  * Initial release.

 -- Kristóf Ralovich <ralovich@in.tum.de>  Tue, 19 Mar 2013 21:59:25 +0100


# Local Variables:
# coding: utf-8
# End:

=== debian/control ===
Source: quickroute-gps
Maintainer: Kristof Ralovich <ralovich@in.tum.de>
Section: misc
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), mono-xbuild (>= 2.6.7), devscripts (>= 2.11), cli-common-dev (>= 0.8), mono-mcs (>= 2.8), liblog4net1.2-cil (>= 1.2.10), xvfb (>= 1.12.4), xauth (>= 1.0.4), tzdata (>= 2016f)
Homepage: https://github.com/ralovich/quickroute-linux
Vcs-Git: https://github.com/ralovich/quickroute-linux.git
Vcs-Browser: https://github.com/ralovich/quickroute-linux.git

Package: quickroute-gps
Architecture: any
Depends: ${cli:Depends}, ${misc:Depends}, mono-mcs (>= 2.8)
Description: GPS analysis software for getting your route on the map
 QuickRoute is a visual GPS analysis software for orienteering and
 other outdoor activities. You can to display your route on a map, and
 review split times and pace. It also allows direct upload of the
 routes to a digital orienteering map archive (DOMA) or overlay it in
 Google Earth.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

clean:
	rm -rf 3rdparty/ExifLibrary/bin
	rm -rf 3rdparty/ExifLibrary/obj
	rm -rf 3rdparty/PowerCollections/bin
	rm -rf 3rdparty/PowerCollections/obj
	rm -rf 3rdparty/bin
	rm -rf 3rdparty/SharpZipLib/obj
	rm -rf GPSDeviceReaders/GarminUSBReader/bin
	rm -rf GPSDeviceReaders/GarminUSBReader/obj
	rm -rf GPSDeviceReaders/GarminUSBReader/*.resources
	rm -rf GPSDeviceReaders/GlobalSatGH615MReader/bin
	rm -rf GPSDeviceReaders/GlobalSatGH615MReader/obj
	rm -rf GPSDeviceReaders/JJConnectRegistratorSEReader/bin
	rm -rf GPSDeviceReaders/JJConnectRegistratorSEReader/obj
	rm -rf GPSDeviceReaders/SerialPortDeviceReader/bin
	rm -rf GPSDeviceReaders/SerialPortDeviceReader/obj
	rm -rf Publishers/DOMAPublisher/bin
	rm -rf Publishers/DOMAPublisher/obj
	rm -rf QuickRoute.BusinessEntities/bin
	rm -rf QuickRoute.BusinessEntities/obj
	rm -rf QuickRoute.Common/bin
	rm -rf QuickRoute.Common/obj
	rm -rf QuickRoute.Controls/bin
	rm -rf QuickRoute.Controls/obj
	rm -rf QuickRoute.PropertyControls/bin
	rm -rf QuickRoute.PropertyControls/obj
	rm -rf QuickRoute.Resources/bin
	rm -rf QuickRoute.Resources/obj
	rm -rf QuickRoute.UI/bin
	rm -rf QuickRoute.UI/obj
	find . -name "*.resources" -delete
	rm -f QuickRoute.userprefs
	$(MAKE) clean || true
	dh clean || true
	dh clean --with=cli || true

%:
	dh $@ --with=cli

## quickroute-gps 2.5

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,6 @@
 	xbuild /t:Clean /p:Configuration=Release QuickRoute.sln
 	rm -rf QuickRoute.UI/bin
 	rm -rf QuickRoute.UI/obj
-
-#  dh_auto_install
-#    make -j1 install DESTDIR=/home/tade/dev/clean/2.7/1/debian/quickroute-gps
 
 install:
 	@echo "install being called"
@@ -39,10 +36,8 @@
 	cp QuickRoute.UI/bin/Release/QuickRoute.GPSDeviceReaders.SerialPortDeviceReader.dll ${DESTDIR}/usr/lib/quickroute-gps
 	cp QuickRoute.UI/bin/Release/QuickRoute.Publishers.DOMAPublisher.dll ${DESTDIR}/usr/lib/quickroute-gps
 	cp QuickRoute.UI/bin/Release/QuickRoute.Resources.dll ${DESTDIR}/usr/lib/quickroute-gps
-	mkdir --parents ${DESTDIR}/usr/share/doc/quickroute-gps
-	cp debian/copyright ${DESTDIR}/usr/share/doc/quickroute-gps
 	mkdir --parents ${DESTDIR}/usr/share/pixmaps
-	cp Graphics/QuickRoute_32x32.xpm ${DESTDIR}/usr/share/pixmaps
-	ln -s -r ${DESTDIR}/usr/share/pixmaps/QuickRoute_32x32.xpm ${DESTDIR}/usr/share/pixmaps/quickroute-gps.xpm
+	cp Graphics/QuickRoute_64x64.xpm ${DESTDIR}/usr/share/pixmaps
+	ln -s -r ${DESTDIR}/usr/share/pixmaps/QuickRoute_64x64.xpm ${DESTDIR}/usr/share/pixmaps/quickroute-gps.xpm
 	mkdir --parents ${DESTDIR}/usr/share/applications
-	cp debian/quickroute-gps.desktop ${DESTDIR}/usr/share/applications
+	cp scripts/quickroute-gps.desktop ${DESTDIR}/usr/share/applications

=== debian/changelog ===
quickroute-gps (2.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Wrap long lines in changelog entries: 2.4-5, 2.4-4.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entry 2.4-2.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on devscripts, tzdata and xauth.
    + Build-Depends: Drop versioned constraint on cli-common-dev,
      liblog4net1.2-cil, mono-mcs, mono-xbuild and xvfb.
    + quickroute-gps: Drop versioned constraint on mono-mcs in Depends.

  [ Kristof Ralovich ]
  * debian: update standards version
  * debian: help rebuilds after a prior build failure
  * new upstream release 2.5
  * debian: update upstream metadata
  * update gbp config style
  * fix spelling
  * Migrate packaging GIT repository to salsa.debian.org.
  * debian: address lintian findings
  * debian: update changelog

 -- Kristóf Ralovich <tade60@freemail.hu>  Wed, 09 Apr 2025 15:35:30 +0200

=== debian/control ===
Source: quickroute-gps
Maintainer: Kristóf Ralovich <tade60@freemail.hu>
Section: misc
Priority: optional
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 mono-xbuild,
 devscripts,
 cli-common-dev,
 mono-mcs,
 liblog4net1.2-cil,
 xvfb,
 xauth,
 tzdata
Homepage: https://github.com/ralovich/quickroute-linux
Vcs-Git: https://salsa.debian.org/debian/quickroute-gps.git
Vcs-Browser: https://salsa.debian.org/debian/quickroute-gps

Package: quickroute-gps
Architecture: any
Depends:
 ${cli:Depends},
 ${misc:Depends},
 mono-mcs
Description: GPS analysis software for getting your route on the map
 QuickRoute is a visual GPS analysis software for orienteering and
 other outdoor activities. You can to display your route on a map, and
 review split times and pace. It also allows direct upload of the
 routes to a digital orienteering map archive (DOMA) or overlay it in
 Google Earth.

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	rm -rf QuickRoute.UI/obj
 	find . -name "*.resources" -delete
 	rm -f QuickRoute.userprefs
+	rm -rf .pc
 	$(MAKE) clean || true
 	dh clean || true
 	dh clean --with=cli || true

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
  https://github.com/ralovich/quickroute-linux/tags .*/v?(\d\S+)\.tar\.gz
